package com.jojubanking.boot.module.system.convert.userinfo;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.app.userinfo.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.userinfo.UserInfoDO;

/**
 * 用户信息 Convert
 *
 * @author admin
 */
@Mapper
public interface UserInfoConvert {

    UserInfoConvert INSTANCE = Mappers.getMapper(UserInfoConvert.class);

    UserInfoDO convert(AppUserInfoCreateReqVO bean);

    UserInfoDO convert(AppUserInfoUpdateReqVO bean);

    AppUserInfoRespVO convert(UserInfoDO bean);

    List<AppUserInfoRespVO> convertList(List<UserInfoDO> list);

    PageResult<AppUserInfoRespVO> convertPage(PageResult<UserInfoDO> page);

    List<AppUserInfoExcelVO> convertList02(List<UserInfoDO> list);

}
